IF(NOT SUBMODULES_DIR)
	MESSAGE(FATAL_ERROR "SUBMODULES_DIR must be defined")
ENDIF()

IF(NOT LIBRARY_SUFFIX)
	MESSAGE(FATAL_ERROR "LIBRARY_SUFFIX must be defined")
ENDIF()

MACRO(COPY_BUILD NAME)
	FILE(GLOB_RECURSE BUILD_FILES "${SUBMODULES_DIR}/lib${NAME}/build/*${LIBRARY_SUFFIX}*")
	STRING (REPLACE ";" "\n\t" BUILD_FILES_LOG "${BUILD_FILES}")
	MESSAGE("Copying library from submodule lib${NAME}:\n\t${BUILD_FILES_LOG}")
	FILE(COPY ${BUILD_FILES} DESTINATION ${CMAKE_BINARY_DIR})
ENDMACRO()

COPY_BUILD("soundio")
COPY_BUILD("samplerate")
COPY_BUILD("opusfile")
